﻿/* Mananciais styles
-------------------------------------------------- */

.numbers {
    height: 30rem;
    padding-top: 1rem;
    border-radius: 0.5rem;
    display: flex;
    flex-direction: column;
    z-index: 10;
    position: relative;
}

/* Botões dos modais
-------------------------------------------------- */

.btn-group {
    align-self: flex-end;
}

.btn-numbers {
    width: 12rem;
    border: solid 0.1rem #1F76EA;
}

.numbers .btn-group .btn {
    border-top: solid 0.1rem #1F76EA;
    border-bottom: solid 0.1rem #1F76EA;
    color: black;
}

.numbers .btn-group .btn:hover {
    font-weight: bold;
}

.dropleft .dropdown-toggle::before {
    display: none;
}

/* Gráfico
-------------------------------------------------- */

#graph-numbers {
    border-radius: 0.5rem;
}

.btn-graph-group {
    display: flex;
    flex-direction: column;
    margin-right: -4rem;
}

.btn-group-period > .active {
    background-color: #07EBDB70;
    font-weight: bold;
    fill-opacity: 0.7;
}

.btn-group-period > label:hover {
    text-decoration: none;
}

@media only screen and (max-width: 760px) {
    .btn-graph-group {
        margin-right: 0rem;
    }
}

.btn-graph {
    width: 3rem;
    border: solid 0.1rem #1F76EA;
    margin: 0 1rem 10px 0;
}

.numbers-graph.active {
    display: inline-flex !important;
    width: 100%;
}

#graph .graph-numbers{
    width: 100%;
}

/* Tab com opções gráfico x tabela
-------------------------------------------------- */

.nav-group-numbers {
    border: none;
}

.nav-group-numbers li {
    width: 50%;
}

.nav-group-numbers .active {
    background-color: darkblue;
    border: none;
}

.tab-numbers {
    margin-top: -8rem;
    padding-top: 10rem;
    padding-bottom: 3rem;
}

.tabpanel-table {
    max-height: 25rem;
    overflow: auto;
}

/* Modais
-------------------------------------------------- */

#modal-add-series {
    max-width: 16rem;
}

.card {
    cursor: pointer;
}

.accordion-card i {
    line-height: unset;
}

.fast-charts {
    max-height: 33rem;
}

.fast-chart-card {
    border: solid 0.1rem #1F76EA;
    border-radius: 0.5rem;
    padding: 0.75rem 0.5rem;
    width: 100%;
    min-height: 8rem;
}

.fast-chart-title {
    font-size: 1rem;
}

.fast-chart-card img {
    width: 4rem;
    margin: 0rem 0.25rem;
}

.fast-chart-card-description {
    font-size: 0.8rem;
}


.card-body-add {
    border: solid 0.1rem #1F76EA;
    border-radius: 0.5rem;
    padding: 0.5rem;
    width: 100%;
    height: 6.5rem;
}

.card-body-selected {
    box-shadow: 0 3px 10px rgb(0 0 0 / 0.2);
    border-radius: 0.5rem;
    width: 100%;
    border-top: solid 0.25rem #5220F5;
    border-bottom: solid 0.25rem #5220F5;
    font-size: 1rem;
}

.card-btn {
    margin-top: -1rem;
    padding: 0;
    width: 80%;
    border-radius: 1.25rem;
}

.btn-select-series:hover {
    background-color: #1965c9;
}

.btn-add-series:hover {
    opacity: 0.75;
}

.card-text {
    bottom: -0.6rem;
    font-size: 0.8rem;
}

.card-title {
    font-size: 0.9rem;
    font-weight: bold;
}

.add-series {
   height: 12rem;
}

.added-series {
    height: 7rem;
}

.card-grid {
    display: grid;
    grid-template-columns: 9fr 1fr;
}

.card-add-series {
    height: 5rem;
    border: solid 0.1rem white;
    border-radius: 0.5rem;
    width: 100%;
}

/* Modal - Opções
-------------------------------------------------- */

.table-options {
    font-size: 0.8rem;
}